import request from '@/utils/request'

// 查询考核培训列表
export function listTraining(query) {
  return request({
    url: '/model/Training/list',
    method: 'get',
    params: query
  })
}

// 查询考核培训详细
export function getTraining(trainingId) {
  return request({
    url: '/model/Training/' + trainingId,
    method: 'get'
  })
}

// 新增考核培训
export function addTraining(data) {
  return request({
    url: '/model/Training',
    method: 'post',
    data: data
  })
}

// 修改考核培训
export function updateTraining(data) {
  return request({
    url: '/model/Training',
    method: 'put',
    data: data
  })
}

// 删除考核培训
export function delTraining(trainingId) {
  return request({
    url: '/model/Training/' + trainingId,
    method: 'delete'
  })
}
